# Interface CAI1StockReposit

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `CAI1StockReposit.CAI1StockRepositSerialIntroduce`, `CAI1StockReposit.CAI1StockRepositSerialMove`, `CAI1StockReposit.CAI1StockRepositSerialNumberAdd`, `CAI1StockReposit.CAI1StockRepositSerialNumberRemove`, `CAI1StockReposit.CAI1StockRepositSerialRemove`, `CAI1StockReposit.CAI1StockRepositSetAdd`, `CAI1StockReposit.CAI1StockRepositSetIntroduce`, `CAI1StockReposit.CAI1StockRepositSetMove`, `CAI1StockReposit.CAI1StockRepositSetRemove`

public sealed interface CAI1StockReposit extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits CAI1StockReposit.CAI1StockRepositSetIntroduce, CAI1StockReposit.CAI1StockRepositSetAdd, CAI1StockReposit.CAI1StockRepositSetMove, CAI1StockReposit.CAI1StockRepositSetRemove, CAI1StockReposit.CAI1StockRepositSerialIntroduce, CAI1StockReposit.CAI1StockRepositSerialMove, CAI1StockReposit.CAI1StockRepositSerialRemove, CAI1StockReposit.CAI1StockRepositSerialNumberAdd, CAI1StockReposit.CAI1StockRepositSerialNumberRemove
The type of item reposit operations.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSerialIntroduce`
  An operation that adds a single identified item to a storage location.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSerialMove`
  An operation that moves a single identified item between storage locations.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSerialNumberAdd`
  An operation that adds a serial number to an instance.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSerialNumberRemove`
  An operation that removes a serial number from an instance.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSerialRemove`
  An operation that removes a single identified item.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSetAdd`
  An operation that adds a set of items to an instance.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSetIntroduce`
  An operation that adds a set of items to a storage location.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSetMove`
  An operation that moves a set of items from one storage location to another.
  `static final record`
  `CAI1StockReposit.CAI1StockRepositSetRemove`
  An operation that removes a set of items from a storage location.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static CAI1StockReposit`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1StockReposit.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1StockReposit $x)`
  Serialize a value of type CAI1StockReposit.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1StockReposit $x) throws IOException
    Serialize a value of type CAI1StockReposit.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static CAI1StockReposit deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1StockReposit.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1StockReposit.
    Throws:
      `IOException`